libstdc++: Locales

libstdc++

Locales

## Classes
class | std::codecvt< _InternT, _ExternT, _StateT >
class | std::ctype< _CharT >
class | std::ctype< char >
class | std::ctype< wchar_t >
class | std::locale::facet
class | std::locale::id
class | std::locale
class | std::messages< _CharT >
struct | std::messages_base
class | std::money_base
class | std::money_get< _CharT, _InIter >
class | std::money_put< _CharT, _OutIter >
class | std::moneypunct< _CharT, _Intl >
class | std::num_get< _CharT, _InIter >
class | std::num_put< _CharT, _OutIter >
class | std::numpunct< _CharT >
class | std::time_base
class | std::time_get< _CharT, _InIter >
class | std::time_put< _CharT, _OutIter >
class | std::wbuffer_convert< _Codecvt, _Elem, _Tr >
class | std::wstring_convert< _Codecvt, _Elem, _Wide_alloc, _Byte_alloc >

## Functions
template<typename _Facet>
bool | std::has_facet (const locale &__loc)
template<typename _Facet>
const _Facet & | std::use_facet (const locale &__loc)

## Detailed Description

Classes and functions for internationalization and localization.

## Function Documentation

## ◆ has_facet()

template<typename _Facet>

bool std::has_facet | ( | const locale & | __loc | ) |
| inlinenodiscardnoexcept

Test for the presence of a facet.

has_facet tests the locale argument for the presence of the facet type provided as the template parameter. Facets derived from the facet parameter will also return true.

Template Parameters

  _Facet | The facet type to test the presence of.

Parameters

  __loc | The locale to test.

Returns
  true if `__loc` contains a facet of type _Facet, else false.

Definition at line 190 of file locale_classes.tcc.

## ◆ use_facet()

template<typename _Facet>

const _Facet & std::use_facet | ( | const locale & | __loc | ) |
| inlinenodiscard

Return a facet.

use_facet looks for and returns a reference to a facet of type Facet where Facet is the template parameter. If has_facet(locale) is true, there is a suitable facet to return. It throws std::bad_cast if the locale doesn't contain a facet of type Facet.

Template Parameters

  _Facet | The facet type to access.

Parameters

  __loc | The locale to use.

Returns
  Reference to facet of type Facet.

Exceptions

  std::bad_cast | if `__loc` doesn't contain a facet of type _Facet.

Definition at line 220 of file locale_classes.tcc.

Referenced by std::money_get< _CharT, _InIter >::do_get(), std::time_get< _CharT, _InIter >::do_get(), std::time_get< _CharT, _InIter >::do_get_date(), std::time_get< _CharT, _InIter >::do_get_monthname(), std::time_get< _CharT, _InIter >::do_get_time(), std::time_get< _CharT, _InIter >::do_get_weekday(), std::time_get< _CharT, _InIter >::do_get_year(), std::money_put< _CharT, _OutIter >::do_put(), std::time_put< _CharT, _OutIter >::do_put(), std::time_get< _CharT, _InIter >::get(), isalnum(), isalpha(), isblank(), iscntrl(), std::regex_traits< _Ch_type >::isctype(), isdigit(), isgraph(), islower(), isprint(), ispunct(), isspace(), isupper(), isxdigit(), std::regex_traits< _Ch_type >::lookup_classname(), std::regex_traits< _Ch_type >::lookup_collatename(), std::basic_ostream< _CharT, _Traits >::operator<<(), std::basic_iostream< char_type, traits_type >::operator>>(), std::basic_istream< _CharT, _Traits >::operator>>(), operator>>(), operator>>(), std::time_put< _CharT, _OutIter >::put(), tolower(), toupper(), std::regex_traits< _CharT >::transform(), std::regex_traits< _CharT >::transform_primary(), std::regex_traits< _CharT >::translate_nocase(), std::regex_traits< _Ch_type >::value(), and ws().